Package: org.codehaus.groovy.transform.tailrec

## [Groovy] Class RecursivenessTester

- org.codehaus.groovy.transform.tailrec.RecursivenessTester

- Test if a method call is recursive if called within a given method node. Handles static calls as well. Currently known simplifications: - Does not check for method overloading or overridden methods. - Does not check for matching return types; even void and any object type are considered to be compatible. - Argument type matching could be more specific in case of static compilation. - Method names via a GString are never considered to be recursive

  Authors:
    Johannes Link

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `isRecursive(def params)`
    `` | `boolean` | `isRecursive(MethodNode method, MethodCallExpression call)`
    `` | `boolean` | `isRecursive(MethodNode method, StaticMethodCallExpression call)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### boolean isRecursive(def params)

    - #### boolean isRecursive(MethodNode method, MethodCallExpression call)

    - #### boolean isRecursive(MethodNode method, StaticMethodCallExpression call)